/************************************************************
* Zeus CMD - OpenGL ES Tutorial 7 : Orthographic Projection *
* By Grant James (ZEUS)                                     *
* http://www.zeuscmd.com                                    *
************************************************************/
#pragma comment(lib, "libGLES_CM.lib")

#define GLUTES_STATIC

#include <GLES/glutes.h>

GLfloat square[] = {
	0.25, 0.25, 0.0,
	0.75, 0.25, 0.0,
	0.25, 0.75, 0.0,
	0.75, 0.75, 0.0
    };

void init()
{
	glClearColor (0.0f, 0.0f, 0.0f, 0.0f);

	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	glOrthof(0.0f, 1.0f, 0.0f, 1.0f, -1.0f, 1.0f);

	glVertexPointer(3, GL_FLOAT, 0, square);
	glEnableClientState(GL_VERTEX_ARRAY);
}

void display()
{
   glClear (GL_COLOR_BUFFER_BIT);

   glDrawArrays(GL_TRIANGLE_STRIP, 0, 4);

   glFlush ();
   glutSwapBuffers();
}

void keyboard2(int key, int x, int y)
{
	switch(key)
	{
	case GLUT_KEY_UP : exit(0); break;
	}
}

void menu(int entry)
{
	switch(entry)
	{
	case 1 : exit(0); break;
	}
}

int main(int argc, char *argv[])
{
	glutInit(&argc, argv);

	glutInitDisplayMode(GLUT_DOUBLE | GLUT_RGBA);

	glutCreateWindow("07 - Orthographic Projection");

	init();

	glutDisplayFunc(display);
	glutSpecialFunc(keyboard2);

	glutCreateMenu(menu);
	glutAddMenuEntry("Quit", 1);

	glutAttachMenu(GLUT_LEFT_BUTTON);

	glutMainLoop();

	return 0;
}
